# CanEvolveWithItemRequirement | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class CanEvolveWithItemRequirement

#### Hierarchy (View Summary)

- EncounterPokemonRequirement
  - CanEvolveWithItemRequirement

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:841

##### Index

### Constructors

constructor

### Properties

invertQuery
minNumberOfPokemon
requiredEvolutionItem

### Methods

filterByEvo
getDialogueToken
meetsRequirement
queryParty

## Constructors

### constructor

- new CanEvolveWithItemRequirement(
  evolutionItems: EvolutionItem | EvolutionItem [],
  minNumberOfPokemon?: number,
  invertQuery?: boolean,
  ): CanEvolveWithItemRequirement

  #### Parameters

  - evolutionItems: EvolutionItem | EvolutionItem []
  - minNumberOfPokemon: number = 1
  - invertQuery: boolean = false

  #### Returns CanEvolveWithItemRequirement

  Overrides EncounterPokemonRequirement.constructor

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:846

## Properties

### invertQuery

invertQuery: boolean

Overrides EncounterPokemonRequirement.invertQuery

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:844

### minNumberOfPokemon

minNumberOfPokemon: number

Overrides EncounterPokemonRequirement.minNumberOfPokemon

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:843

### requiredEvolutionItem

requiredEvolutionItem: EvolutionItem []

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:842

## Methods

### filterByEvo

- filterByEvo(pokemon: any, evolutionItem: any): boolean

  #### Parameters

  - pokemon: any
  - evolutionItem: any

  #### Returns boolean

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:861

### getDialogueToken

- getDialogueToken(pokemon?: PlayerPokemon ): [string, string]

  Returns a dialogue token key/value pair for a given Requirement. Should be overridden by child Requirement classes.

  #### Parameters

  - `Optional` pokemon: PlayerPokemon

  #### Returns [string, string]

  Overrides EncounterPokemonRequirement.getDialogueToken

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:898

### meetsRequirement

- meetsRequirement(): boolean

  Returns whether the EncounterPokemonRequirement's... requirements, are met by the given scene

  #### Returns boolean

  Overrides EncounterPokemonRequirement.meetsRequirement

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:853

### queryParty

- queryParty(partyPokemon: PlayerPokemon []): PlayerPokemon []

  Returns all party members that are compatible with this requirement. For non pokemon related requirements, the entire party is returned.

  #### Parameters

  - partyPokemon: PlayerPokemon []

  #### Returns PlayerPokemon []

  Overrides EncounterPokemonRequirement.queryParty

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:884